[Numpy-discussion] pickling arrays: numpy 1.0 can't unpickle numpy 1.0.1

emanuele at relativita.com emanuele at relativita.com
Thu Dec 7 15:19:00 CST 2006


On Thu, December 7, 2006 6:42 pm, Charles R Harris wrote:
> The 1.0.x versions are supposed to be compatible. I don't see any changes
> to
> pickle in svn since before the 1.0 release, so there might be another
> problem here. Are there other differences between the machines? Python
> version, OS, endianess, 32 vs 64 bit, compiler, etc.

Both hosts are 32bit i386 with python 2.5 and different version of numpy.
Gcc version is pretty similar:
- host1 : gcc version 3.4.5 20051201 (Red Hat 3.4.5-2)
- host2 : gcc version 3.4.6 20060404 (Red Hat 3.4.6-3)

Try my example yourself and tell me if it works for you.

Thanks,

Emanuele




More information about the Numpy-discussion mailing list